Bug 27522

Summary: Add a new itemtype info image to carredart
Product: Koha Reporter: Victoria Faafia <vfaafia29>
Component: CatalogingAssignee: Victoria Faafia <vfaafia29>
Status: RESOLVED FIXED QA Contact: Testopia <testopia>
Severity: enhancement    
Priority: P5 - low CC: aleisha, jonathan.druart+koha, kyle, m.de.rooy, martin.renvoize, sally.healey
Version: unspecified   
Hardware: All   
OS: All   
See Also: https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=27505
Change sponsored?: --- Patch complexity: Trivial patch
Text to go in the release notes:
This enhancement adds a info image to the carredart icon set for item types.
Version(s) released in:
21.11.00
Attachments: adding itemtype image
Bug 27522: (follow-up) Add copy of image to carredart icons in the OPAC
Bug 27522: (follow-up) Add copy of image to carredart icons in the OPAC
Bug 27522: Adding new itemtype info image to carredart
Bug 27522: (follow-up) Add copy of image to carredart icons in the OPAC
Bug 27522: Adding new itemtype info image to carredart
Bug 27522: (follow-up) Add copy of image to carredart icons in the OPAC
Bug 27522: (follow-up) Adding new itemtype info image to carredart
Bug 27522: Adding new itemtype info image to carredart
Bug 27522: (follow-up) Add copy of image to carredart icons in the OPAC
Bug 27522: (follow-up) Adding new itemtype info image to carredart
Bug 27522: Adding new itemtype info image to carredart

Description Victoria Faafia 2021-01-21 22:57:35 UTC

    
Comment 1 Victoria Faafia 2021-01-21 23:06:14 UTC
Created attachment 115642 [details] [review]
adding itemtype image
Comment 2 Victoria Faafia 2021-01-21 23:06:41 UTC
Bug 27522: Adding new itemtype info image to carredart
    
    Test Plan
    1. Go to Administration>Item Types>Modify Item Type
    2. Under carredart you should see an info item type
Comment 3 Katrin Fischer 2021-01-21 23:19:34 UTC
As the itemtype images can be displayed in the OPAC and in the staff interface we currently need to add them in 2 places as one cannot access the image files of the other.

Can you also add the files to
koha-tmpl/opac-tmpl/bootstrap/itemtypeimg/carredart please?
Comment 4 Owen Leonard 2021-01-22 17:18:58 UTC Comment hidden (obsolete)
Comment 5 Owen Leonard 2021-01-22 17:19:18 UTC
Created attachment 115707 [details] [review]
Bug 27522: (follow-up) Add copy of image to carredart icons in the OPAC
Comment 6 PTFS Europe Sandboxes 2021-01-25 11:40:04 UTC
Created attachment 115749 [details] [review]
Bug 27522: Adding new itemtype info image to carredart

Test Plan
1. Go to Administration>Item Types>Modify Item Type
2. Under carredart you should see an info item type

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 7 PTFS Europe Sandboxes 2021-01-25 11:40:07 UTC
Created attachment 115750 [details] [review]
Bug 27522: (follow-up) Add copy of image to carredart icons in the OPAC

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 8 Sally 2021-01-25 11:40:31 UTC
Works as described.

Test Plan
1. Go to Administration>item types>modify item type
2. There should be an info item type under the carredart
3. Modify the item type so one of the new icons is used
4. Search for an item using the above item type
5. Check that the icon displays properly in both the staff client and OPAC
Comment 9 Katrin Fischer 2021-01-26 21:25:11 UTC
Created attachment 115843 [details] [review]
Bug 27522: Adding new itemtype info image to carredart

Test Plan
1. Go to Administration>Item Types>Modify Item Type
2. Under carredart you should see an info item type

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2021-01-26 21:25:14 UTC
Created attachment 115844 [details] [review]
Bug 27522: (follow-up) Add copy of image to carredart icons in the OPAC

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Katrin Fischer 2021-01-26 21:32:15 UTC
Victoria, Aleisha or someone else - as these don't appear to belong to the original carredart item set (I believe this came from a library in Nimes - bug 5640)- where were these new icons taken from?
Do we need to add any license information? I think it would be good to document the source here or in the commit message. 
As they don't perfectly fit the style, maybe we should put them on a separate tab?

Sorry if I missed something!
Comment 12 Owen Leonard 2021-07-16 23:56:51 UTC Comment hidden (obsolete)
Comment 13 Katrin Fischer 2021-07-24 23:12:46 UTC
Created attachment 123164 [details] [review]
Bug 27522: Adding new itemtype info image to carredart

Test Plan
1. Go to Administration>Item Types>Modify Item Type
2. Under carredart you should see an info item type

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 14 Katrin Fischer 2021-07-24 23:12:51 UTC
Created attachment 123165 [details] [review]
Bug 27522: (follow-up) Add copy of image to carredart icons in the OPAC

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 15 Katrin Fischer 2021-07-24 23:12:56 UTC Comment hidden (obsolete)
Comment 16 Jonathan Druart 2021-07-26 10:34:51 UTC
(In reply to Katrin Fischer from comment #11)
> Victoria, Aleisha or someone else - as these don't appear to belong to the
> original carredart item set (I believe this came from a library in Nimes -
> bug 5640)- where were these new icons taken from?
> Do we need to add any license information? I think it would be good to
> document the source here or in the commit message. 
> As they don't perfectly fit the style, maybe we should put them on a
> separate tab?
> 
> Sorry if I missed something!

Has this been answered?
It's not clear to me from where are these icons coming and what is the license.

Please clarify.
Comment 17 Katrin Fischer 2021-07-26 10:39:31 UTC
I understood it that Owen did a new version of the image from scratch in his 3rd patch, but didn't want the work before to be lost.
Comment 18 Jonathan Druart 2021-07-26 11:02:23 UTC
They are binary files, and if we don't know their origin I don't see how it could be useful to keep them.
Comment 19 Owen Leonard 2021-07-26 12:03:10 UTC
It was not my intention that both versions of the image be kept in the git history. I should have obsoleted the older patches.
Comment 20 Jonathan Druart 2021-08-04 09:05:36 UTC
Can we squash and clarify in the commit message what's happening here?

It seems that the icons were part of Koha (bug 5640) but have been removed (inadvertently) and so we are adding them back?

But with a modified version because we didn't know what was the license?

Aleisha, do you remember the origin of this bug report?
Comment 21 Owen Leonard 2021-08-04 14:25:31 UTC Comment hidden (obsolete)
Comment 22 Aleisha Amohia 2021-08-04 20:55:41 UTC
These icons were designed by a Catalyst Academy student (Victoria, who opened the bug report), and she designed them as part of her contribution to the Academy. They are free to use for Koha's image sets.
Comment 23 Jonathan Druart 2021-08-05 09:07:50 UTC
So now we have 2 versions, the one from Victoria and the one from Owen. Do we need both?

Why is it named "carredart"? Initially it's coming from bug 5640 for "Carré d'Art" (museum)
Comment 24 Owen Leonard 2021-08-05 11:15:33 UTC
I've removed my patch and returned the old ones.
Comment 25 Jonathan Druart 2021-08-11 21:16:21 UTC
(In reply to Jonathan Druart from comment #23)
> Why is it named "carredart"? Initially it's coming from bug 5640 for "Carré
> d'Art" (museum)

This is waiting for an answer. Aleisha, maybe?
Comment 26 Aleisha Amohia 2021-08-11 21:26:44 UTC
(In reply to Jonathan Druart from comment #25)
> (In reply to Jonathan Druart from comment #23)
> > Why is it named "carredart"? Initially it's coming from bug 5640 for "Carré
> > d'Art" (museum)
> 
> This is waiting for an answer. Aleisha, maybe?

That's the name on the item types icon tab.
Comment 27 Jonathan Druart 2021-08-16 10:59:10 UTC
I am really sorry, I got confused and was confusing!

I thought we were adding a new set of icons. I have no idea how I understood that, everything is clear when reading the commit message and bug title: we are only adding a new 'info' icon to the existing "carredart" set.

Sorry everybody!
Comment 28 Jonathan Druart 2021-08-18 14:31:39 UTC
Pushed to master for 21.11, thanks to everybody involved!